import u from "debug";
const i = u, d = (n) => new Proxy(window.console, {
  get(e, r) {
    return (...o) => {
      try {
        return ["log", "debug", "info", "warn", "error"].includes(r) ? e[r](n, ...o) : e[r] instanceof Function ? e[r](...o) : e[r];
      } catch (t) {
        console.error(`Logger error in ${n}:`, t);
        return;
      }
    };
  }
});
export {
  i as createDebug,
  d as createLogger
};
